#region Using declarations
using System;
using System.ComponentModel;
using System.Diagnostics;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Data;
using NinjaTrader.Indicator;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Strategy;
#endregion

// This namespace holds all strategies and is required. Do not change it.
namespace NinjaTrader.Strategy
{
    /// <summary>
    /// Enter the description of your strategy here
    /// </summary>
    [Description("Enter the description of your strategy here")]
    public class DailyGold : Strategy
    {
        #region Variables
		
        // Wizard generated variables
        private int units = 100; // Default setting for Units
        private int sMAPeriod = 10; // Default setting for SMAPeriod
		
        // User defined variables (add any user defined variables below)
		private double sma, smaThen;
		
        #endregion

        /// <summary>
        /// This method is used to configure the strategy and is called once before any strategy method is called.
        /// </summary>
        protected override void Initialize()
        {
            CalculateOnBarClose = true;
			ExitOnClose = false;
        }

        /// <summary>
        /// Called on each bar update event (incoming tick)
        /// </summary>
        protected override void OnBarUpdate()
        {
			if( CurrentBar < SMAPeriod )
				return;
			
			if( CurrentBar == SMAPeriod + 1 )
			{
				smaThen = SMA(SMAPeriod)[1];
				sma = SMA(SMAPeriod)[0];
			}
			
			if( Time[0].Month != Time[1].Month )
			{
				smaThen = sma;
				sma = SMA(SMAPeriod)[0];
			}
			
			if( Close[0] > sma && Close[1] <= smaThen )
				EnterLong(Units);
			
			if( Close[0] < sma )
				ExitLong();
        }

        #region Properties
        [Description("")]
        [GridCategory("Parameters")]
        public int Units
        {
            get { return units; }
            set { units = Math.Max(1, value); }
        }

        [Description("")]
        [GridCategory("Parameters")]
        public int SMAPeriod
        {
            get { return sMAPeriod; }
            set { sMAPeriod = Math.Max(1, value); }
        }
        #endregion
    }
}
